# DataExchange
TKIGES
IGESBasic

# IGESBasic_ExternalReferenceFile Class Reference

defines ExternalReferenceFile, Type <406> Form <12>
in package IGESBasic
References definitions residing in another file

`#include <IGESBasic_ExternalReferenceFile.hxx>`

Inheritance diagram for IGESBasic_ExternalReferenceFile:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_ExternalReferenceFile ()
Standard_EXPORT void | Init (const Handle(Interface_HArray1OfHAsciiString)&aNameArray)
| This method is used to set the fields of the class ExternalReferenceFile - aNameArray : External Reference File Names .
Standard_EXPORT Standard_Integer | NbListEntries () const
| returns number of External Reference File Names
Standard_EXPORT Handle_TCollection_HAsciiString | Name (const Standard_Integer Index) const
| returns External Reference File Name raises exception if Index <= 0 or Index > NbListEntries()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_HArray1OfHAsciiString | theNames

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_ExternalReferenceFile::IGESBasic_ExternalReferenceFile | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESBasic_ExternalReferenceFile::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_ExternalReferenceFile::Init | ( | const Handle(Interface_HArray1OfHAsciiString)& | aNameArray | ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_ExternalReferenceFile::Name | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESBasic_ExternalReferenceFile::NbListEntries | ( |  | ) | const

## Field Documentation

Handle_Interface_HArray1OfHAsciiString IGESBasic_ExternalReferenceFile::theNames `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_ExternalReferenceFile.hxx